×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Registered User
    Join Date
    Jun 2010
    Posts
    19

    Build problem with Qt SDK 1.1 TP

    I'm trying to get a project I'm working on to build and run on an N8 using the Qt 1.1 Technology Preview. It built and ran in the current release version of the Qt SDK but it does not with Qt SDK 1.1 TP. From Qt Creator it builds but fails to run, giving me a "general OS-related error". The code hasn't changed so the capabilities should be OK. If I try to install the.sis file directly through Ovi Suite it fails to install at all, complaining that the app requires QtWebKit 4.07(1) or higher. Shouldn't 4.07 be part of 4.7.1 for Symbian^3 package I installed? Did my 4.7.1 installation or my QtMobility 1.1.0 installation somehow fail? There was no indication that they did so. I can't find any pertinent logs so I have no idea what's going on except that it seems as if it might be linking against the wrong version of Qt.

  2. #2
    Registered User
    Join Date
    Jun 2010
    Posts
    19

    Angry Re: Build problem with Qt SDK 1.1 TP

    After digging around I happened to stumble across C:\QtSDK\Symbian\sis\Symbian^3\Qt\4.7.1\qtwebkit_2_1.sis. Apparently QtWebkit is not installed as part of the general 4.7.1 installation. Nowhere is this mentioned in the install readme nor is there a shortcut for it provided alongside the other Symbian^3 sis shortcuts.

  3. #3
    Nokia Developer Expert
    Join Date
    Dec 2004
    Location
    Austin, TX
    Posts
    399

    Re: Build problem with Qt SDK 1.1 TP

    Latest update to Qt SDK 1.1 Beta has qt webkit sis links.

  4. #4
    Super Contributor
    Join Date
    Oct 2009
    Posts
    4,326

    Re: Build problem with Qt SDK 1.1 TP

    There are third party utilities for checking content of SIS files
    http://blogs.forum.nokia.com/blog/an.../whatisinmysis
    which could be helpful in such kind of situations.

Similar Threads

  1. Symbian^3 SDK 0.8 build Qt 4.7 with sbs/raptor failed
    By cavendishqi in forum Tools and SDK Feedback (Closed)
    Replies: 9
    Last Post: 2010-12-31, 14:06
  2. Problem with Qt Mobility 1.1.0 TP For Symbian
    By skumar_rao in forum [Archived] Qt Mobility Project
    Replies: 9
    Last Post: 2010-08-31, 04:37
  3. Build Qt with S60 5.0 Public SDK
    By cavendishqi in forum [Archived] Qt General ( Qt技术)
    Replies: 1
    Last Post: 2009-05-27, 08:02

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×